/*--------------------GLOBAL--------------------*/
:root {
    --finova: #80dc94;
    --finova2: #404540;
    --frei: #B2FBA5;
    --freiHover: #83ED71;
    --belegt: #FAA0A0;
    --belegtHover: #FF7A7A;
    --inactive: #D9D9D9;
    --Shadow: 0 10px 20px 10px rgba(0, 0, 0, 0.1);
}

html,body {
    /* height: 100%; */
}

body{
    display: flex;
    align-items: center;
    flex-direction: column;
    font-family: "roboto", sans-serif;
}

button {
    background-color: var(--finova);
    color: white;
}

button:hover {
    background-color: rgb(0, 255, 98);
}

a {
    color: var(--finova);
  }


a:hover {
    cursor: pointer;
    text-decoration: none; /* no underline */
}

/*--------------------HEADER--------------------*/
header {
    text-align: center;
    width: 300px;
    margin-bottom: 20px;
}

header > img {
    width: 100px;
}

/*--------------------LOGIN--------------------*/
.loginOuterContainer{
    display: flex;
    flex-direction: column;
    /* height: 100%; */
    text-align: center;
    width: 300px; 
}

.loginInnerContainer {
    border-radius: 10px;
    padding: 20px;
    box-shadow: var(--Shadow);    
}

.icon, .title {
    display: inline-block;
    color: var(--finova);
    margin: 0px 5px 30px 5px;
}

.welcomeMessage {
    margin-bottom: 30px;
}

.loginContainer > div > p {
    font-size: 12px;
}

.loginInput {
    display: block;
    margin: 5px auto 40px auto;
}

/*--------------------INDEX--------------------*/
.indexContainer {
    display: flex;
    flex-direction: column;
    min-height: 100%;
    text-align: center;
}

#indexHeader {
    display: flex;
    justify-content: space-between;
    padding: 10px;
    border-bottom: 1px solid var(--finova2 );
}

#welcomeMsg {
    text-align: left;
}

.user {
    font-weight: bold;
}

#logoutButton { /*not in uuse */
    background-color: white;
    border: 1px solid var(--finova);
    color: var(--finova);
}


.logoutIcon {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 17px;
    fill: white;
}

#filterInfoContainer {
    margin: 20px auto 20px auto;
    width: 100%;
}

#filterContainer {
    display: none;
}

.indexSelect{
    display: block;
    margin: 5px auto 20px auto;
    width: 80%;
}

#indexInputs {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
}

#indexArea, #indexDate, #indexStartTime, #indexEndTime {
    width: 50%;
}

#showAvailableRoomsButton {
    margin: 10px auto 30px auto;
}

#mapHeading > h2{
    margin: 40px;
    font-size: 1.4rem;
}

#mapHeading > p{
    margin-bottom: 20px;
    font-size: 0.8rem;
}

/*
#Room1, #Room2, #Room3, #Room4, #Room5, #Room6, #Room7, #Room8 {
}
*/

#Room1:hover, #Room2:hover, #Room3:hover, #Room4:hover, #Room5:hover, #Room6:hover, #Room7:hover, #Room8:hover {
    stroke-width: 2px;
    cursor: pointer;
}


/* dynamic map style => NOT IN USE!!!*/
.roomAvailable {
    fill: var(--frei);
}

.roomAvailable:hover {
    fill: var(--freiHover);
}

.roomBooked {
    fill: var(--belegt);

}

.roomBooked:hover {
    fill: var(--belegtHover);
}

#svg {
    margin: 0px;
    padding: 0px;
}

svg {
    width: 100%;
    margin: 0px;
    padding: 0px;
    height: auto;
}

#legend {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    width: 50%;
    margin: 10px auto 10px auto;
    font-size: 0.8rem;
}

.legendItem1 {
    background-color: var(--frei);
    padding: 0px 3px 0px 3px;
    border-radius: 5px;
}

.legendItem2 {
    background-color: var(--belegt);
    padding: 0px 3px 0px 3px;
    border-radius: 5px;
}

.legendItem3 {
    background-color: var(--inactive);
    padding: 0px 3px 0px 3px;
    border-radius: 5px;
}



/*--------------------FOOTER--------------------*/
footer {
   /* margin-top: auto; */
}